import { OnInit } from '@angular/core';
import { AlertTypesEnum } from './alert.enum';
import { AlertService } from './alert.service';
import { ChangeDetectorRef } from '@angular/core';
import { AlertModel } from './alert.model';
import * as i0 from "@angular/core";
export declare class AlertComponent implements OnInit {
    private cd;
    Name: import("@angular/core").InputSignal<string>;
    _FontSize: import("@angular/core").InputSignal<number>;
    _FontFamily: import("@angular/core").InputSignal<string>;
    _FontWeight: import("@angular/core").InputSignal<number>;
    _FontColor: string;
    _Text: string;
    _PositionY: number;
    _PositionX: number;
    AlertType: AlertTypesEnum;
    _Icon: string;
    BackgroundColor: string;
    _IconClose: string;
    isVisible: boolean;
    isFixPosition: boolean;
    AlertService: AlertService;
    AlertModel: AlertModel;
    constructor(cd: ChangeDetectorRef);
    ngOnInit(): void;
    OnClose(): void;
    startListenToAlertShowed(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlertComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AlertComponent, "app-alert", never, { "Name": { "alias": "Name"; "required": true; "isSignal": true; }; "_FontSize": { "alias": "_FontSize"; "required": true; "isSignal": true; }; "_FontFamily": { "alias": "_FontFamily"; "required": true; "isSignal": true; }; "_FontWeight": { "alias": "_FontWeight"; "required": true; "isSignal": true; }; }, {}, never, never, true, never>;
}
