import { OnInit } from '@angular/core';
import { LabelModel } from './label.model';
import { LabelService } from './label.service';
import { LabelFontWeights, LabelIconEnum, LabelIconPositionEnum } from './label.enum';
import * as i0 from "@angular/core";
export declare class LabelComponent implements OnInit {
    ngOnInit(): void;
    Name: import("@angular/core").InputSignal<string>;
    _IconEnabled: import("@angular/core").InputSignal<boolean>;
    _Icon: import("@angular/core").InputSignal<LabelIconEnum>;
    _IconColor: import("@angular/core").InputSignal<string>;
    IconOrientation: import("@angular/core").InputSignal<LabelIconPositionEnum>;
    _IconOrientation: string;
    _IconDistanceFromTextObject: object;
    IconDistanceFromText: import("@angular/core").InputSignal<number>;
    _TextEnabled: import("@angular/core").InputSignal<boolean>;
    _TextFontFamily: import("@angular/core").InputSignal<string>;
    _Text: import("@angular/core").InputSignal<string>;
    _TextColor: import("@angular/core").InputSignal<string>;
    _TextFontWeight: import("@angular/core").InputSignal<LabelFontWeights>;
    _TextFontSize: import("@angular/core").InputSignal<number>;
    LabelModel: LabelModel;
    LabelService: LabelService;
    setIconOrientationOnTemplate(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LabelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LabelComponent, "app-label", never, { "Name": { "alias": "Name"; "required": true; "isSignal": true; }; "_IconEnabled": { "alias": "_IconEnabled"; "required": true; "isSignal": true; }; "_Icon": { "alias": "_Icon"; "required": true; "isSignal": true; }; "_IconColor": { "alias": "_IconColor"; "required": true; "isSignal": true; }; "IconOrientation": { "alias": "IconOrientation"; "required": true; "isSignal": true; }; "IconDistanceFromText": { "alias": "IconDistanceFromText"; "required": true; "isSignal": true; }; "_TextEnabled": { "alias": "_TextEnabled"; "required": true; "isSignal": true; }; "_TextFontFamily": { "alias": "_TextFontFamily"; "required": true; "isSignal": true; }; "_Text": { "alias": "_Text"; "required": true; "isSignal": true; }; "_TextColor": { "alias": "_TextColor"; "required": true; "isSignal": true; }; "_TextFontWeight": { "alias": "_TextFontWeight"; "required": true; "isSignal": true; }; "_TextFontSize": { "alias": "_TextFontSize"; "required": true; "isSignal": true; }; }, {}, never, never, true, never>;
}
