import { OnInit } from '@angular/core';
import { ListItemIcons, ListItemPositions, ListItemFontWeights } from './list-item.enum';
import { ButtonModel } from '../button/button.model';
import { ButtonService } from '../button/button.service';
import { ListItemService } from './list-item.service';
import * as i0 from "@angular/core";
export declare class ListItemComponent implements OnInit {
    Name: import("@angular/core").InputSignal<string>;
    _Width: number;
    _Height: number;
    _BoxShadowEnabled: import("@angular/core").InputSignal<boolean>;
    _BorderRadius: number;
    _ItemBackGroundColorNormal: import("@angular/core").InputSignal<string>;
    _ItemBackGroundColorHover: import("@angular/core").InputSignal<string>;
    _IconBackgroundColor: string;
    _ItemNumberEnabled: import("@angular/core").InputSignal<boolean>;
    _ItemNumberText: import("@angular/core").InputSignal<string>;
    _ItemNumberFontFamily: import("@angular/core").InputSignal<string>;
    _ItemNumberFontWeight: import("@angular/core").InputSignal<ListItemFontWeights>;
    _ItemNumberFontColor: import("@angular/core").InputSignal<string>;
    _ItemNumberPosition: import("@angular/core").InputSignal<ListItemPositions>;
    _ItemNumberMarginTop: number;
    _ItemNumberMarginLeft: number;
    _ItemNumberMarginRight: number;
    _IconEnabled: import("@angular/core").InputSignal<boolean>;
    _Icon: ListItemIcons;
    _IconColor: string;
    _IconMarginLeft: number;
    _IconMarginRight: number;
    _TextContainerMarginLeft: number;
    _TextContainerMarginRight: number;
    _TextBackgroundColor: string;
    _TitleText: string;
    _TitleFontFamily: import("@angular/core").InputSignal<string>;
    _TitleFontColor: import("@angular/core").InputSignal<string>;
    _TitleFontWeight: import("@angular/core").InputSignal<ListItemFontWeights>;
    _TitleEnabled: boolean;
    _SubTitleEnabled: boolean;
    _SubTitleText: string;
    _SubTitleFontFamily: import("@angular/core").InputSignal<string>;
    _SubTitleFontColor: import("@angular/core").InputSignal<string>;
    _SubTitleFontWeight: import("@angular/core").InputSignal<ListItemFontWeights>;
    _IconOpenBackgroundColor: string;
    _IconOpenItemColor: import("@angular/core").InputSignal<string>;
    _IconOpenItemEnabled: boolean;
    _WrappedBackGroundColor: string;
    _FontSize: import("@angular/core").InputSignal<number>;
    readonly _ListItemIcons: typeof ListItemIcons;
    readonly ListItePositions: typeof ListItemPositions;
    ItemStateOpen: boolean;
    ButtonModel: ButtonModel;
    ListItemService: ListItemService;
    ButtonService: ButtonService;
    ModalService: any;
    AlertModel: any;
    FormFieldService: any;
    ngOnInit(): void;
    OnClick(): void;
    startListenToStateChange(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ListItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ListItemComponent, "app-list-item", never, { "Name": { "alias": "Name"; "required": true; "isSignal": true; }; "_BoxShadowEnabled": { "alias": "_BoxShadowEnabled"; "required": true; "isSignal": true; }; "_ItemBackGroundColorNormal": { "alias": "_ItemBackGroundColorNormal"; "required": true; "isSignal": true; }; "_ItemBackGroundColorHover": { "alias": "_ItemBackGroundColorHover"; "required": true; "isSignal": true; }; "_ItemNumberEnabled": { "alias": "_ItemNumberEnabled"; "required": true; "isSignal": true; }; "_ItemNumberText": { "alias": "_ItemNumberText"; "required": true; "isSignal": true; }; "_ItemNumberFontFamily": { "alias": "_ItemNumberFontFamily"; "required": true; "isSignal": true; }; "_ItemNumberFontWeight": { "alias": "_ItemNumberFontWeight"; "required": true; "isSignal": true; }; "_ItemNumberFontColor": { "alias": "_ItemNumberFontColor"; "required": true; "isSignal": true; }; "_ItemNumberPosition": { "alias": "_ItemNumberPosition"; "required": true; "isSignal": true; }; "_IconEnabled": { "alias": "_IconEnabled"; "required": true; "isSignal": true; }; "_TitleFontFamily": { "alias": "_TitleFontFamily"; "required": true; "isSignal": true; }; "_TitleFontColor": { "alias": "_TitleFontColor"; "required": true; "isSignal": true; }; "_TitleFontWeight": { "alias": "_TitleFontWeight"; "required": true; "isSignal": true; }; "_SubTitleFontFamily": { "alias": "_SubTitleFontFamily"; "required": true; "isSignal": true; }; "_SubTitleFontColor": { "alias": "_SubTitleFontColor"; "required": true; "isSignal": true; }; "_SubTitleFontWeight": { "alias": "_SubTitleFontWeight"; "required": true; "isSignal": true; }; "_IconOpenItemColor": { "alias": "_IconOpenItemColor"; "required": true; "isSignal": true; }; "_FontSize": { "alias": "_FontSize"; "required": true; "isSignal": true; }; }, {}, never, ["*"], true, never>;
}
