import { AfterViewInit, OnInit } from '@angular/core';
import { ModalService } from './modal.service';
import { ModalModel } from './modal.model';
import { ButtonIconEnum, ButtonIconPositionEnum, ButtonTypeEnum, ButtonFontWeights } from '../button/button.enum';
import { ButtonService } from '../button/button.service';
import { ButtonModel } from '../button/button.model';
import * as i0 from "@angular/core";
export declare class ModalComponent implements OnInit, AfterViewInit {
    ngAfterViewInit(): void;
    ngOnInit(): void;
    ModalService: ModalService;
    configModel: ModalModel;
    isVisible: boolean;
    _ButtonService: ButtonService;
    readonly ButtonTypes: typeof ButtonTypeEnum;
    readonly ButtonIcons: typeof ButtonIconEnum;
    readonly ButtonIconPositions: typeof ButtonIconPositionEnum;
    readonly ButtonFontWeights: typeof ButtonFontWeights;
    ButtonModel: ButtonModel;
    startListenToShowCommand(): void;
    startToListenToButtonClick(): void;
    ConcluirLoadingButton(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ModalComponent, "app-modal", never, {}, {}, never, never, true, never>;
}
